Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface MessageSecurityConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NamedConfigElement, NotificationBroadcaster, NotificationEmitter

public interface MessageSecurityConfig
extends NamedConfigElement, Container

Configuration for the <message-security-config> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`ProviderConfig` | `createProviderConfig(java.lang.String providerId, java.lang.String providerType, java.lang.String className, java.util.Map reservedForFutureUse)` Create a new <provider-config>
`java.lang.String` | `getAuthLayer()`
`java.lang.String` | `getDefaultClientProvider()`
`java.lang.String` | `getDefaultProvider()`
`java.util.Map` | `getProviderConfigMap()`
`void` | `removeProviderConfig(java.lang.String providerId)` Removes an existing provider config.
`void` | `setDefaultClientProvider(java.lang.String value)`
`void` | `setDefaultProvider(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAuthLayer

    public java.lang.String getAuthLayer()

### getDefaultClientProvider

    public java.lang.String getDefaultClientProvider()

### setDefaultClientProvider

    public void setDefaultClientProvider(java.lang.String value)

### getDefaultProvider

    public java.lang.String getDefaultProvider()

### setDefaultProvider

    public void setDefaultProvider(java.lang.String value)

### createProviderConfig

    public ProviderConfig createProviderConfig(java.lang.String providerId,
                                               java.lang.String providerType,
                                               java.lang.String className,
                                               java.util.Map reservedForFutureUse)

  Create a new <provider-config>

  Parameters:
    `providerId` - unique id for this provider
    `providerType` - client or server authentication type
    `className` - implementation class of the provider
    `reservedForFutureUse` - placeholder for future attributes
  Returns:
    The proxy to the ProviderConfig MBean.

### removeProviderConfig

    public void removeProviderConfig(java.lang.String providerId)

  Removes an existing provider config.

  Parameters:
    `providerId` - the id of the provider config to be removed.

### getProviderConfigMap

    public java.util.Map getProviderConfigMap()

  Returns:
    A map of ProviderConfig MBean proxies keyed on provider-id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.